OpenReports 3.2 hibernate problem

Mi Ko
2009-06-09
2013-04-25
  • Mi Ko

    Mi Ko - 2009-06-09

    chello

    i have problem when im staring openreports-tomcat package:

    INFORMACJE: Deploying web application archive openreports.war
    [JPivot] 09 cze 2009 08:53:47,328 ERROR [Session ] org.springframework.web.context.ContextLoader#initWebApplicationContext: Context initialization failed org.springframework.beans.factory.CannotLoadBeanClassException: Error loading cl ass [org.efs.openreports.providers.HibernateProvider] for bean with name 'hibernateProvider' defined in ServletContext resource [/WEB-INF/applicationContext.xml]: problem with class file or dependent class; nested exception is java.lang.UnsupportedClassVersionError: (org/efs/openreports/providers/HibernateProvider) bad major version at offset=6 Caused by: java.lang.UnsupportedClassVersionError: (org/efs/openreports/providers/HibernateProvider) bad major version at offset=6

    any ideas?

     
    • Pierpaolo

      Pierpaolo - 2009-06-09

      Hello, I have the similar problem

      INFO: Deploying web application archive openreports.war
      [JPivot] 09 giu 2009 15:33:09,739 ERROR [Session ] org.springframework.web.conte
      xt.ContextLoader#initWebApplicationContext: Context initialization failed
      org.springframework.beans.factory.CannotLoadBeanClassException: Error loading cl
      ass [org.efs.openreports.providers.HibernateProvider] for bean with name 'hibern
      ateProvider' defined in ServletContext resource [/WEB-INF/applicationContext.xml
      ]: problem with class file or dependent class; nested exception is java.lang.Uns
      upportedClassVersionError: Bad version number in .class file
      Caused by: java.lang.UnsupportedClassVersionError: Bad version number in .class
      file

      Vista business or OS400 V5R4
      jdk1.5.0_15

       
    • Erik Swenson

      Erik Swenson - 2009-06-10

      The OpenReports 3.2 distribution was compiled with JDK 1.6, so you will see this error if you are using JDK 1.5. The solution is to rebuild the OpenReports war file using the 'ant war' command.

      - Erik

       
    • Mi Ko

      Mi Ko - 2009-06-12

      true

      I change java 1.5 to 1.6 version and now everything works fine

      thx for help

       
  • Raja Gullapalli

    Raja Gullapalli - 2009-12-03

    Recompiling the openreports war file in JDK 1.5 did not resolve the issue.

    JDK 1.5.0_17
    openreports-tomcat/ apache-tomcat 5.5
    ant 1.7.1

    The Apache-tomcat 5.5 version throws the above mentioned error.
    Below is the error when tried with openreports-tomcat distribution. 

    02 Dec 2009 18:21:49,968 ERROR  org.springframework.web.context.ContextLoader#initWebApplicationContext: Context initialization failed
    org.springframework.beans.factory.CannotLoadBeanClassException: Error loading class  for bean with name 'hibernateProvider' defined
    in ServletContext resource : problem with class file or dependent class; nested exception is java.lang.UnsupportedClassVersionError: Bad version n
    umber in .class file
    Caused by: java.lang.UnsupportedClassVersionError: Bad version number in .class file
            at java.lang.ClassLoader.defineClass1(Native Method)
            at java.lang.ClassLoader.defineClass(ClassLoader.java:620)
            at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:124)
            at org.apache.catalina.loader.WebappClassLoader.findClassInternal(WebappClassLoader.java:1852)
            at org.apache.catalina.loader.WebappClassLoader.findClass(WebappClassLoader.java:876)
            at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1329)
            at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1208)

    02 Dec 2009 18:21:49,968 ERROR  org.apache.catalina.core.StandardContext#listenerStart: Exception sending context initialized event to listener instance of class
    org.springframework.web.context.ContextLoaderListener
    org.springframework.beans.factory.CannotLoadBeanClassException: Error loading class  for bean with name 'hibernateProvider' defined
    in ServletContext resource : problem with class file or dependent class; nested exception is java.lang.UnsupportedClassVersionError: Bad version n
    umber in .class file
    Caused by: java.lang.UnsupportedClassVersionError: Bad version number in .class file
            at java.lang.ClassLoader.defineClass1(Native Method)
            at java.lang.ClassLoader.defineClass(ClassLoader.java:620)

    Any suggestions.

    Thanks,
    Raja

     
  • Adrian Chaparro

    Adrian Chaparro - 2011-12-07

    Hi, I have the same problems with openreports 3.2.0 when I start openreports on Tomcat 5.5 I have thisexception:
    07 Dec 2011 10:40:42,987 ERROR  org.springframework.web.context.ContextLoader#initWebApplicationContext: Context initialization failed
    org.springframework.beans.factory.CannotLoadBeanClassException: Error loading class  for bean with name 'hibernateProvider' defined in ServletContext resource : problem with class file or dependent class; nested exception is java.lang.ClassFormatError: org.efs.openreports.providers.HibernateProvider (unrecognized class file version)
    Caused by: java.lang.ClassFormatError: org.efs.openreports.providers.HibernateProvider (unrecognized class file version)

    Did you solve your Problem?

    Thanks

     

Log in to post a comment.